import { Formats } from './compiler';
import parser, { MessageFormatPattern } from 'intl-messageformat-parser';
export interface IntlMessageFormat {
    new (message: string | MessageFormatPattern, locales?: string | string[], overrideFormats?: Partial<Formats>): IntlMessageFormat;
    (message: string | MessageFormatPattern, locales?: string | string[], overrideFormats?: Partial<Formats>): IntlMessageFormat;
    format(values?: Record<string, string | number | boolean | null | undefined>): string;
    resolvedOptions(): {
        locale: string;
    };
    getAst(): ReturnType<typeof parser['parse']>;
    defaultLocale: string;
    formats: Formats;
    __parse: typeof parser['parse'];
}
export declare const MessageFormat: IntlMessageFormat;
export { Formats, Pattern } from './compiler';
export default MessageFormat;
